Download export
const url = 'https://api.hookbridge.io/v1/exports/01935abc-def0-7123-4567-890abcdef012/download';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hookbridge.io/v1/exports/01935abc-def0-7123-4567-890abcdef012/download \ --header 'Authorization: Bearer <token>'Download a completed export file. Returns a 302 redirect to a presigned S3 URL for the CSV file. The export must be in “completed” status.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Export job identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Responses
Section titled “Responses”Redirect to presigned download URL
Headers
Section titled “Headers”Presigned S3 URL for the export CSV file
Export not ready for download
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "EXPORT_NOT_READY", "message": "Export is not yet completed" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Export download link has expired
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "EXPORT_EXPIRED", "message": "Export download link has expired" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.